# $Id: smeserver-zabbix-proxy.spec,v 1.8 2011/10/07 16:31:13 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-zabbix-proxy
%define version 0.1
%define release 10
Summary: sme server integration of zabbix proxy
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 3
URL: http://www.zabbix.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-zabbix-server-0.1-sendxmpp_template.patch
Patch1: smeserver-zabbix-server-0.1-sendxmpp_shell_script_header.patch
Patch2: smeserver-zabbix-server-0.1-disable_web_access.patch
Patch3:	smeserver-zabbix-server-0.1-mysql_db_pass.patch
Patch4:	smeserver-zabbix-server-0.1-script_and_tmp_location.patch
Patch5: smeserver-zabbix-server-0.1-event_zabbix-server-update.patch
Patch6: smeserver-zabbix-proxy-0.1-server2proxy.patch
Patch7: smeserver-zabbix-proxy-0.1-createlinks_fixes.patch
Patch8: smeserver-zabbix-proxy-0.1-enable_db_cache.patch
Patch9: smeserver-zabbix-proxy-0.1-fixe_sudoers_expand_template.patch
Patch10: smeserver-zabbix-proxy-0.1-multiple_dbpatches.patch
Patch11: smeserver-zabbix-proxy-0.1-hostname_from_db.patch
Patch12: smeserver-zabbix-proxy-0.1-fix_proxy_directives.patch

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
Requires: fping
Requires: zabbix-server-mysql
Requires: zabbix-proxy-mysql
Requires: smeserver-remoteuseraccess
Conflicts: smeserver-zabbix-server
AutoReqProv: no

%description
smserver integration of zabbix proxy
Zabbix is an entreprise-class open source distributed monitoring
solution

%changelog
* Fri Oct 07 2011 Daniel B. <daniel@firewall-services.com> 0.1-11
- Fixe 2 directives (needed for Zabbix 1.8.8)

* Thu Nov 25 2010 Daniel B. <daniel@firewall-services.com> 0.1-9
- Requires the mysql variant of server and proxy

* Tue Oct 19 2010 Daniel B. <daniel@firewall-services.com> 0.1-8
- Possibility to set Hostname from the DB

* Thu Apr 15 2010 Daniel B. <daniel@firewall-services.com> 0.1-7
- Support multiple dbpatches

* Mon Sep 28 2009 Daniel B. <daniel@firewall-services.com> 0.1-6
- Fixe /etc/sudoers template expension during zabbix-proxy-update event

* Tue Mar 03 2009 Daniel B. <daniel@firewall-services.com> 0.1-5
- Add smeserver-remoteuseraccess as a dependencie (sudoers template problem)

* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-4
- Disable DB cache as it seems to cause IPC problems

* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-3
- enable DB cache with StartDBSyncers directive

* Sun Mar 01 2009 Daniel B. <daniel@firewall-services.com> 0.1-2
- Fix permissions on /var/lib/zabbix/tmp

* Fri Feb 24 2009 Daniel B. <daniel@firewall-services.com> 0.1-1
- Fix createlinks

* Fri Feb 24 2009 Daniel B. <daniel@firewall-services.com> 0.1-0
- initial release

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
#%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
perl ./createlinks
%{__mkdir_p} root/var/lib/zabbix/tmp

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--file /var/lib/zabbix/bin/fping 'attr(0750,root,zabbix)' \
	--file /var/lib/zabbix/bin/fping6 'attr(0750,root,zabbix)' \
	--dir /var/lib/zabbix/tmp 'attr(0755,zabbix,zabbix)' \
	> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/db configuration setprop zabbix-proxy status disabled
 /etc/init.d/zabbix-proxy stop
fi

true
